import { Controller, Get, Post, Body, Put } from '@nestjs/common';
import { PlaceService } from './places/place.service';
import { CreatePlaceDto } from './places/place.dto';

@Controller()
export class DatabaseController {
  constructor(private readonly placeService: PlaceService) {}

  @Get("allplaces")
  allplaces(): any {
    return this.placeService.findAll();
  }

  @Post("addplace")
  addplace(@Body() data): any {
    const createPlaceDto = new CreatePlaceDto;

    createPlaceDto.formatted_address = data.place.formatted_address;
    createPlaceDto.geometry = data.place.geometry;
    createPlaceDto.name = data.place.name;
    createPlaceDto.loue = data.place.loue;

    createPlaceDto.place_id = data.place.place_id;
    createPlaceDto.price = data.place.price;
    createPlaceDto.rating = data.place.rating;
    createPlaceDto.types = data.place.type;

    createPlaceDto.archived = false;

    return this.placeService.create(createPlaceDto);
  }

  @Put("archive")
  archive(@Body() data): any {
    this.placeService.archive(data._id);
    return "ok";
  }

  @Put("editplace")
  editplace(@Body() data): any {
    return this.placeService.edit(data.place);
  }
}
