import { Model } from 'mongoose';
import { Injectable, Inject } from '@nestjs/common';
import { Place, PlaceDocument } from './place.schema';
import { CreatePlaceDto } from './place.dto';

@Injectable()
export class PlaceService {
  constructor(
    @Inject('PLACE_MODEL')
    private placeModel: Model<Place>,
  ) {}

  async create(createPlaceDto: CreatePlaceDto): Promise<Place> {
    const createdPlace = new this.placeModel(createPlaceDto);
    return createdPlace.save();
  }

  async findAll(): Promise<Place[]> {
    return this.placeModel.find().exec();
  }

  async archive(id : string) {
    this.placeModel.findOne({ _id : id}, function(err, placeDoc) {
      if (err) {
        // TODO: Handle the error!
        console.log(err);
      }

      if (!placeDoc) {
        console.log("Le document n'a pas été trouvé");
      } else {
        placeDoc.archived = !placeDoc.archived;
        placeDoc.save(function (err) {
          if (err) {
              // TODO: Handle the error!
              console.log(err);
          }
        });
      }
    })
  }

  async edit(place : any) {
    this.placeModel.findOne({ _id : place._id}, function(err, placeDoc) {
      if (err) {
        console.log(err);
      }

      if (!placeDoc) {
        console.log("Le document n'a pas été trouvé");
      } else {
        placeDoc.formatted_address = place.formatted_address;
        placeDoc.geometry = place.geometry;
        placeDoc.name = place.name;
        placeDoc.loue = place.loue;

        placeDoc.place_id = place.place_id;
        placeDoc.price = place.price;
        placeDoc.rating = place.rating;
        placeDoc.types = place.type;

        placeDoc.save(function (err) {
          if (err) {
              // TODO: Handle the error!
              console.log(err);
          }
        });
      }
    });
  }
}
